Api referenceRoutesClients

Connect an existing client

Connects an existing client process to a Minecraft server. This does not create or replace a client.

POST
/clients/{id}:connect

Connects an existing client process to a Minecraft server. This does not create or replace a client.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/clients/{id}:connect" \  -H "Content-Type: application/json" \  -d '{    "host": "string",    "port": 0  }'
{  "id": "string",  "instance": {    "id": "string",    "version": {      "id": "string"    },    "loader": "string",    "files": {      "root": "string",      "gameRoot": "string",      "runtimeRoot": "string",      "cache": "string",      "mods": "string",      "config": "string",      "saves": "string",      "resourcePacks": "string",      "shaderPacks": "string",      "screenshots": "string",      "logs": "string",      "artifacts": "string"    }  },  "profile": {    "kind": "string",    "name": "string"  },  "presentation": {    "window": "NONE",    "audio": "MUTED"  },  "state": "string"}
{  "code": "string",  "message": "string"}
{  "code": "string",  "message": "string"}
{  "code": "string",  "message": "string"}